
QGIS Application - Bug report #17357

Crash when adding a new network-based data source in data source manager

2017-10-30 10:31 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Linux Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25254

Description

When adding a new layer with the data source manager and adding a new connection before adding the layer (no matter if Postgis,

WMS, WFS, WCS, ArcGIS Server) QGIS crashes after adding this new connection.

The crash happens reproducibly on both Windows and Linux in QGIS master version.

I will provide a backtrace later.

Associated revisions

Revision 71eeda7b - 2017-11-03 08:24 AM - Matthias Kuhn 

Fix crash with hidden dock widget

Fixes #17357

Fixes #17279

Fixes #17317

History

#1 - 2017-10-31 05:50 PM - Andreas Neumann

Below is a stacktrace from the Windows crashlog dialogue:

Crash ID: 1f8f6c1a26644c7233fc707c12af3a04994edebb

Stack Trace

(qgis_gui) QgsRelationReferenceWidgetWrapper::showIndeterminateState (unknown file):(unknown line)

(qgis_gui) QgsRelationReferenceWidgetWrapper::showIndeterminateState (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)
(qgis_gui) QgsRelationReferenceWidgetWrapper::showIndeterminateState (unknown file):(unknown line)

(qgis_gui) QgsRelationReferenceWidgetWrapper::showIndeterminateState (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(qgis_gui) QgsRelationReferenceWidgetWrapper::showIndeterminateState (unknown file):(unknown line)

(postgresprovider) listStyles (unknown file):(unknown line)

(postgresprovider) listStyles (unknown file):(unknown line)

(postgresprovider) listStyles (unknown file):(unknown line)

(postgresprovider) listStyles (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::clicked (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsReadWriteContext::operator= (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsReadWriteContext::operator= (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Widgets) QDialog::exec (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QToolButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

(qgis_core) QgsReadWriteContext::operator= (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)
(qgis_core) QgsReadWriteContext::operator= (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Gui) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

(Qt5Gui) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(qwindows) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

(qgis_app) QgsMapToolRotatePointSymbols::canvasReleaseEvent (unknown file):(unknown line)

(kernel32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: 3ae9ac5e82

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2017-11-01 07:38 PM - Andreas Neumann

Here is another backtrace from Linux:

---------------------------

QGIS died on signal 11[New LWP 12157]

[New LWP 12158]

[New LWP 12159]

[New LWP 12161]

[New LWP 12162]

[New LWP 12163]

[New LWP 12164]

[New LWP 12165]

[New LWP 12166]

[New LWP 12167]

[New LWP 12168]

[New LWP 12169]

[New LWP 12171]

[New LWP 12176]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f3cc28208ea in GIwaitpid (pid=12178, stat_loc=0x7ffd000ca1e4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

29      ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f3cc6c191c0 (LWP 12156))]
#0  0x00007f3cc28208ea in GI_waitpid (pid=12178, stat_loc=0x7ffd000ca1e4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x00005573b76735ca in qgisCrash(int) (signal=11) at ../src/app/main.cpp:325

        status = 21875

        pidstr = "--pid=12156\000\000\000\000\000\001\000\000\000\000\000\000\000\370Q^\274sU\000" 

        gdbpid = 12178

        exename =

"/usr/local/bin/qgis\000sU\000\000\241\a\000\000\000\000\000\000\240\a\000\000\000\000\000\000\200\242\f\000\375\177\000\000p\242\f\000\375\177\000\000\361T\36

7\000\000\361T\362\270sU\000\000\001\000\000\000\000\000\000\000\330T\362\270sU\000\000\000\000\000\000\000\000\000\000\\\242\f\000\375\177\000\000\000\001\000\000\001\000\000\000\200\242\f\000\375\177\000\000`\024\213\274sU\000\000\212W(\304<\177\000\000\000\000\000\000\000\000\000\000\360\237i

77\000\000\000\001\000\000\001\000\000\000\200\242\f\000\375\177\000\000`\024\213\274sU\000\000\212W(\304<\177\000\000\000\000\000\000\000\000\000\000\360\237i\274sU\000\000\220\237O\274sU\000\000\001|\207\274sU\000\000\224\237O\274sU\000\000jk(\304<\177\000\000\200\247\f\000\375\177\000\000\360\237i\274sU\000\000`|\207\274sU\000\000"...

0\000\000\000\360\237i\274sU\000\000\220\237O\274sU\000\000\001|\207\274sU\000\000\224\237O\274sU\000\000jk(\304<\177\000\000\200\247\f\000\375\177\000\000\360\237i\274sU\000\000`|\207\274sU\000\000"...

000\375\177\000\000\360\237i\274sU\000\000`|\207\274sU\000\000"...

        len = 19

#2  0x00007f3cc277f140 in <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6

#3  0x00007f3cc07a5dfa in QgsBrowserDockWidget::refreshModel(QModelIndex const&) (this=0x5573b9c5fa30, index=...) at

../src/gui/qgsbrowserdockwidget.cpp:298

        idx = {r = 0, c = 0, i = 93955567449248, m = 0x5573b9c40b30}

        proxyIdx = {r = -1141058304, c = 21875, i = 0, m = 0x800}

        child = 0x7f3cc339adc5

        i = 0

        item = 0x0

FUNCTION = "refreshModel" 

#4  0x00007f3cc07a5bf0 in QgsBrowserDockWidget::refresh() (this=0x5573b9c5fa30) at ../src/gui/qgsbrowserdockwidget.cpp:275

#5  0x00007f3cc5e06c46 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgsBrowserDockWidget::*)()>::call(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const))

0x7f3cc07a5ba6 <QgsBrowserDockWidget::refresh()>, o=0x5573b9c5fa30, arg=0x7ffd000cac40) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

#6  0x00007f3cc5e00e9a in QtPrivate::FunctionPointer<void (QgsBrowserDockWidget::*)()>::call<QtPrivate::List<>, void>(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const))

0x7f3cc07a5ba6 <QgsBrowserDockWidget::refresh()>, o=0x5573b9c5fa30, arg=0x7ffd000cac40) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

#7  0x00007f3cc5df636f in QtPrivate::QSlotObject<void (QgsBrowserDockWidget::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*,

QObject*, void**, bool*) (which=1, this_=0x5573b9cba390, r=0x5573b9c5fa30, a=0x7ffd000cac40, ret=0x0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

#8  0x00007f3cc337d9ff in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#9  0x00007f3cc639aea5 in QgisApp::connectionsChanged() (this=0x5573b928bf30) at src/app/moc_qgisapp.cpp:1942

#10 0x00007f3cc5e064f4 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgisApp::*)()>::call(void (QgisApp::*)(),

QgisApp*, void**) (f=(void (QgisApp::*)(QgisApp * const)) 0x7f3cc639ae7c <QgisApp::connectionsChanged()>, o=0x5573b928bf30,

arg=0x7ffd000cae20) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

#11 0x00007f3cc5e008ef in QtPrivate::FunctionPointer<void (QgisApp::*)()>::call<QtPrivate::List<>, void>(void (QgisApp::*)(), QgisApp*, void**) (f=(void

(QgisApp::*)(QgisApp * const)) 0x7f3cc639ae7c <QgisApp::connectionsChanged()>, o=0x5573b928bf30, arg=0x7ffd000cae20) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

#12 0x00007f3cc5df5a63 in QtPrivate::QSlotObject<void (QgisApp::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*,

void**, bool*) (which=1, this_=0x5573bc36c670, r=0x5573b928bf30, a=0x7ffd000cae20, ret=0x0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

#13 0x00007f3cc337d9ff in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#14 0x00007f3cc0a9b32d in QgsDataSourceManagerDialog::connectionsChanged() (this=0x5573ba10d960) at

src/gui/moc_qgsdatasourcemanagerdialog.cpp:388

#15 0x00007f3cc0a9a765 in QgsDataSourceManagerDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x5573ba10d960,

_c=QMetaObject::InvokeMetaMethod, _id=11, _a=0x7ffd000cb040) at src/gui/moc_qgsdatasourcemanagerdialog.cpp:167

        _t = 0x5573ba10d960

#16 0x00007f3cc337d8e5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007f3cc0a9bac5 in QgsAbstractDataSourceWidget::connectionsChanged() (this=0x5573bb9db010) at

src/gui/moc_qgsabstractdatasourcewidget.cpp:257

#18 0x00007f3c2b7538d9 in QgsPgSourceSelect::btnDelete_clicked() (this=0x5573bb9db010) at ../src/providers/postgres/qgspgsourceselect.cpp:312

        msg = {static null = {<No data fields>}, d = 0x5573bc30f080}

#19 0x00007f3c2b75c95c in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgsPgSourceSelect::*)()>::call(void

(QgsPgSourceSelect::*)(), QgsPgSourceSelect*, void**) (f=(void (QgsPgSourceSelect::*)(QgsPgSourceSelect * const)) 0x7f3c2b75377e

<QgsPgSourceSelect::btnDelete_clicked()>, o=0x5573bb9db010, arg=0x7ffd000cb2e0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

#20 0x00007f3c2b75c605 in QtPrivate::FunctionPointer<void (QgsPgSourceSelect::*)()>::call<QtPrivate::List<>, void>(void (QgsPgSourceSelect::*)(),

QgsPgSourceSelect*, void**) (f=(void (QgsPgSourceSelect::*)(QgsPgSourceSelect * const)) 0x7f3c2b75377e

<QgsPgSourceSelect::btnDelete_clicked()>, o=0x5573bb9db010, arg=0x7ffd000cb2e0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

#21 0x00007f3c2b75bda3 in QtPrivate::QSlotObject<void (QgsPgSourceSelect::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*,

QObject*, void**, bool*) (which=1, this_=0x5573bbb20d50, r=0x5573bb9db010, a=0x7ffd000cb2e0, ret=0x0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

#22 0x00007f3cc337d9ff in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#23 0x00007f3cc4285572 in QAbstractButton::clicked(bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#24 0x00007f3cc428578a in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#25 0x00007f3cc4286b6a in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#26 0x00007f3cc4286d54 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#27 0x00007f3cc4109dc8 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#28 0x00007f3cc40c946c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#29 0x00007f3cc40d128f in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#30 0x00007f3cc4e08055 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffd000cd4e0, receiver=0x5573bbb00170, event=0x7ffd000cb800) at

../src/core/qgsapplication.cpp:314

        done = true

FUNCTION = "notify" 

#31 0x00007f3cc334ede8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#32 0x00007f3cc40d0262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#33 0x00007f3cc412494b in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#34 0x00007f3cc4126fba in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#35 0x00007f3cc40c946c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#36 0x00007f3cc40d0d34 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#37 0x00007f3cc4e08055 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffd000cd4e0, receiver=0x5573bc3837f0, event=0x7ffd000cbc70) at

../src/core/qgsapplication.cpp:314

        done = true

FUNCTION = "notify" 

#38 0x00007f3cc334ede8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#39 0x00007f3cc390df43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#40 0x00007f3cc390fa25 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#41 0x00007f3cc38e7cab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#42 0x00007f3ca3b8a5a0 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

#43 0x00007f3cb7f40fb7 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#44 0x00007f3cb7f411f0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#45 0x00007f3cb7f4127c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#46 0x00007f3cc33a747f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#47 0x00007f3cc334ce3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#48 0x00007f3cc42f5557 in QDialog::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#49 0x00007f3cc5d2d548 in QgisApp::dataSourceManager(QString const&) (this=0x5573b928bf30, pageName=...) at ../src/app/qgisapp.cpp:1616

#50 0x00007f3cc5d30278 in QgisApp::<lambda()>::operator()(void) const (closure=0x5573b9802160) at ../src/app/qgisapp.cpp:1893

        this = 0x5573b928bf30

        menuAllEdits = 0x7ffd000cc290

#51 0x00007f3cc5d9efee in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, QgisApp::createActions()::<lambda()>

>::call(QgisApp::<lambda()> &, void ) (f=..., arg=0x7ffd000cc460) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:130

#52 0x00007f3cc5d9dcd5 in QtPrivate::Functor<QgisApp::createActions()::<lambda()>, 0>::call<QtPrivate::List<>,

void>(QgisApp::<lambda()> &, void , void *) (f=..., arg=0x7ffd000cc460) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:240

#53 0x00007f3cc5d9c05d in QtPrivate::QFunctorSlotObject<QgisApp::createActions()::<lambda()>, 0, QtPrivate::List<>, void>::impl(int,

QtPrivate::QSlotObjectBase , QObject *, void *, bool ) (which=1, this_=0x5573b9802150, r=0x5573b928bf30, a=0x7ffd000cc460, ret=0x0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:168

#54 0x00007f3cc337d9ff in QMetaObject::activate(QObject, int, int, void) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#55 0x00007f3cc40c2d82 in QAction::triggered(bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#56 0x00007f3cc40c546c in QAction::activate(QAction::ActionEvent) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#57 0x00007f3cc4286afb in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#58 0x00007f3cc4286d54 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#59 0x00007f3cc426608a in QToolButton::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#60 0x00007f3cc4109dc8 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#61 0x00007f3cc4266124 in QToolButton::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#62 0x00007f3cc40c946c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#63 0x00007f3cc40d128f in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#64 0x00007f3cc4e08055 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffd000cd4e0, receiver=0x5573b93afda0, event=0x7ffd000cc9b0) at

../src/core/qgsapplication.cpp:314

        done = true

        __FUNCTION = "notify" 

#65 0x00007f3cc334ede8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#66 0x00007f3cc40d0262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#67 0x00007f3cc412494b in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#68 0x00007f3cc4126fba in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#69 0x00007f3cc40c946c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#70 0x00007f3cc40d0d34 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#71 0x00007f3cc4e08055 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffd000cd4e0, receiver=0x5573b92fb350, event=0x7ffd000cce20) at

../src/core/qgsapplication.cpp:314

        done = true

FUNCTION = "notify" 

#72 0x00007f3cc334ede8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#73 0x00007f3cc390df43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#74 0x00007f3cc390fa25 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#75 0x00007f3cc38e7cab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#76 0x00007f3ca3b8a5a0 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

#77 0x00007f3cb7f40fb7 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#78 0x00007f3cb7f411f0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#79 0x00007f3cb7f4127c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#80 0x00007f3cc33a747f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#81 0x00007f3cc334ce3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#82 0x00007f3cc3355da4 in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#83 0x00005573b7679b43 in main(int, char**) (argc=1, argv=0x7ffd000cd8d8) at ../src/app/main.cpp:1359

        profile = 0x5573b8f7bf10
        presetStyle = {static null = {<No data fields>}, d = 0x5573b90097c0}

        rootProfileFolder = {static null = {<No data fields>}, d = 0x5573b8f7f3d0}

        myLocaleOverrideFlag = true

        qgistor = <incomplete type>

        w = 600

        mySplashPath = {static null = {<No data fields>}, d = 0x7f3cc5538c60 <QgsApplication::splashPath()::{lambda()#1}::operator()()

const::qstring_literal>}

        h = 300

        mypSplash = 0x5573b9083830

        qgis = 0x5573b928bf30

        retval = 2

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f3cc37fea00 <QObject::staticMetaObject>, stringdata =

0x7f3cc562d640 <qt_meta_stringdata_QgsUserProfileManager>, data = 0x7f3cc562d6c0 <qt_meta_data_QgsUserProfileManager>, static_metacall =

0x7f3cc54d4aec <QgsUserProfileManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

mWatchProfiles = false, mWatcher = std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static null = {<No data fields>}, d =

0x5573b8f7f3d0}, mUserProfile = std::unique_ptr<QgsUserProfile> containing 0x0, mSettings = std::unique_ptr<QSettings> containing 0x5573b8f2e1c0}

        profileFolder = {static null = {<No data fields>}, d = 0x5573b8f80cb0}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f3cc37fea00 <QObject::staticMetaObject>, stringdata

= 0x7f3cc561e8c0 <qt_meta_stringdata_QgsSettings>, data = 0x7f3cc561e900 <qt_meta_data_QgsSettings>, static_metacall = 0x7f3cc54bf4c2

<QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath =

{static null = {<No data fields>}, d = 0x5573b902a150}, mUserSettings = 0x5573b903f860, mGlobalSettings = 0x5573b905a470, mUsingGlobalArray =

false}

        systemEnvVars = {d = 0x5573b90265f0}

        activeStyleName = {static null = {<No data fields>}, d = 0x5573b91b2660}

        i18nPath = {static null = {<No data fields>}, d = 0x5573b91d03a0}

        myUserLocale = {static null = {<No data fields>}, d = 0x5573b91c3050}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f3cc478a020 <QApplication::staticMetaObject>,

stringdata = 0x7f3cc560c5a0 <qt_meta_stringdata_QgsApplication>, data = 0x7f3cc560c700 <qt_meta_data_QgsApplication>, static_metacall =

0x7f3cc54a4ed4 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static

QGIS_ORGANIZATION_NAME = 0x7f3cc5538288 "QGIS", static QGIS_ORGANIZATION_DOMAIN = 0x7f3cc553828d "qgis.org", static

QGIS_APPLICATION_NAME = 0x7f3cc5538296 "QGIS3", static mFileOpenEventReceiver29900 = 0x5573b928bf30, static mFileOpenEventList29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::

_atomic_base<int>> = {static S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7f3cc343ea00

<QListData::shared_null>}, d = 0x7f3cc343ea00 <QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No data

fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already seen type>, d

= 0x5573b9027550}, static mPluginPath29900 = {static null = <same as static member of an already seen type>, d = 0x5573b902a290}, static

mPkgDataPath29900 = {static null = <same as static member of an already seen type>, d = 0x5573b902a0c0}, static mLibraryPath29900 = {static null =

<same as static member of an already seen type>, d = 0x5573b9021f10}, static mLibexecPath29900 = {static null = <same as static member of an

already seen type>, d = 0x5573b9026040}, static mThemeName29900 = {static null = <same as static member of an already seen type>, d =

0x7f3cc5538800 <QgsApplication::setUITheme(QString const&)::{lambda()#2}::operator()() const::qstring_literal>}, static mDefaultSvgPaths29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::

_atomic_base<int>> = {static S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x5573b902d080}, d =

0x5573b902d080}}, <No data fields>}, static mSystemEnvVars29900 = {d = 0x5573b90265f0}, static mConfigPath29900 = {static null = {<No data

fields>}, d = 0x5573b9021d60}, static mRunningFromBuildDir29900 = false, static mBuildSourcePath29900 = {static null = <same as static member of

an already seen type>, d = 0x7f3cc343c400 <QArrayData::shared_null>}, static mBuildOutputPath29900 = {static null = <same as static member of an

already seen type>, d = 0x7f3cc343c400 <QArrayData::shared_null>}, static mGdalSkipList29900 = {<QList<QString>> =

{<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::_atomic_base<int>> = {static 

S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7f3cc343ea00 <QListData::shared_null>}, d =

0x7f3cc343ea00 <QListData::shared_null>}}, <No data fields>}, static mMaxThreads29900 = -1, static mAuthDbDirPath29900 = {static null = {<No data

fields>}, d = 0x5573b9021d60}, static sUserName = {static null = <same as static member of an already seen type>, d = 0x5573b9746e80}, static

sUserFullName = {static null = <same as static member of an already seen type>, d = 0x5573b9748b40}, static sPlatformName = {static null = <same

as static member of an already seen type>, d = 0x5573b8f80d40}, mIconCache = {d = 0x5573b9029b00}, mDataItemProviderRegistry =
0x5573ba014d10, mAuthManager = 0x5573b95660e0, mApplicationMembers = 0x5573b8ff2460, static sApplicationMembers = 0x0}

        customizationsettings = 0x5573b903f880

        useCustomVars = true

        myPixmap = <incomplete type>

FUNCTION = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x5573b8f7f740}

        profileName = {static null = {<No data fields>}, d = 0x5573b8f80140}

        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySettingsMigrationForce = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology

        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x5573b7681f00 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfPreset = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x5573b7681f40 <main::{lambda()#2}::operator()() const::qstring_literal>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x5573b91c3050}

        configpath = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        customizationfile = {static null = {<No data fields>}, d = 0x7f3cc343c400 <QArrayData::shared_null>}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x5573b902a150}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::

_atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x5573b8f2f580}, d =

0x5573b8f2f580}}, <No data fields>}

        myUseGuiFlag = true

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f3cc37fea00 <QObject::staticMetaObject>, stringdata =

0x7f3cc561e8c0 <qt_meta_stringdata_QgsSettings>, data = 0x7f3cc561e900 <qt_meta_data_QgsSettings>, static_metacall = 0x7f3cc54bf4c2

<QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath =

{static null = {<No data fields>}, d = 0x5573b902a150}, mUserSettings = 0x5573b8f2eea0, mGlobalSettings = 0x0, mUsingGlobalArray = false}

gdb returned 0

Aborted (core dumped)

#3 - 2017-11-02 04:39 PM - Andreas Neumann

Interesting new finding:

If I create a new, virgin profile and use that, the crashes are gone.

Perhaps some old garbage in the profile triggers these crashes?

#4 - 2017-11-03 07:36 AM - Tomasz Nycz

Probably crash on DB Manager opening is related to this bug:
Thread 1 "qgis.bin" received signal SIGSEGV, Segmentation fault.

0x00007fbb2cb5a07a in QgsBrowserDockWidget::refreshModel (this=0x5627381ffd70, index=...) at ../../src/gui/qgsbrowserdockwidget.cpp:298

298    ../../src/gui/qgsbrowserdockwidget.cpp: No such file or directory.

(gdb) backtrace full

#0  0x00007fbb2cb5a07a in QgsBrowserDockWidget::refreshModel (this=0x5627381ffd70, index=...) at ../../src/gui/qgsbrowserdockwidget.cpp:298

        idx = {r = 0, c = 0, i = 94726488502464, m = 0x5627381e39c0}

        proxyIdx = {r = 987328800, c = 22055, i = 140439410914211, m = 0x0}

        child = 0x7fbaac0c9df0

        i = 0

        item = 0x0

FUNCTION = "refreshModel" 

#1  0x00007fbb2cb59e70 in QgsBrowserDockWidget::refresh (this=0x5627381ffd70) at ../../src/gui/qgsbrowserdockwidget.cpp:275

No locals.

#2  0x00007fbb31f23b76 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgsBrowserDockWidget::*)()>::call(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const))

0x7fbb2cb59e26 <QgsBrowserDockWidget::refresh()>, o=0x5627381ffd70, arg=0x7ffcced88160) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

No locals.

#3  0x00007fbb31f1ddca in QtPrivate::FunctionPointer<void (QgsBrowserDockWidget::*)()>::call<QtPrivate::List<>, void>(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const))

0x7fbb2cb59e26 <QgsBrowserDockWidget::refresh()>, o=0x5627381ffd70, arg=0x7ffcced88160) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

No locals.

#4  0x00007fbb31f1329f in QtPrivate::QSlotObject<void (QgsBrowserDockWidget::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*,

QObject*, void**, bool*) (which=1, this_=0x56273825cf40, r=0x5627381ffd70, a=0x7ffcced88160, ret=0x0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

No locals.

#5  0x00007fbb2f57a9ff in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#6  0x00007fbb324b7dd9 in QgisApp::connectionsChanged (this=0x56273772c1b0) at src/app/moc_qgisapp.cpp:1942

No locals.

#7  0x00007fbb31e9bee8 in QgisApp::reloadConnections (this=0x56273772c1b0) at ../../src/app/qgisapp.cpp:9924

No locals.

#8  0x00007fbb31f2b6fa in QgisAppInterface::reloadConnections (this=0x56273841ddf0) at ../../src/app/qgisappinterface.cpp:176

No locals.

#9  0x00007fbb2ce2183c in QgisInterface::qt_static_metacall (o=0x56273841ddf0, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0x7ffcced88420)

at src/gui/moc_qgisinterface.cpp:472

        _t = 0x56273841ddf0

#10 0x00007fbb2f57a8e5 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#11 0x00007fbb2f4e6ffc in QAbstractItemModel::dataChanged(QModelIndex const&, QModelIndex const&, QVector<int> const&) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#12 0x00007fba989432f0 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#13 0x00007fba98a1d6c1 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#14 0x00007fba9934453d in _PyCFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#15 0x00007fba993d2e9f in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#16 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.
#17 0x00007fba993d2a9a in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#18 0x00007fba993d2d32 in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#19 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#20 0x00007fba993d2a9a in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#21 0x00007fba993d2d32 in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#22 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#23 0x00007fba993db7b7 in _PyFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#24 0x00007fba992da2ce in _PyObject_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#25 0x00007fba992da3cc in _PyObject_Call_Prepend () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#26 0x00007fba992da098 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#27 0x00007fba98d0c4c4 in ?? () from /usr/lib/python3/dist-packages/sip.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#28 0x00007fba98982b42 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#29 0x00007fba9893c750 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#30 0x00007fbb3054d5bc in QTreeViewPrivate::layout(int, bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#31 0x00007fbb305554be in QTreeView::doItemsLayout() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#32 0x00007fbb3054fcc5 in QTreeViewPrivate::updateScrollBars() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#33 0x00007fbb30557008 in QTreeView::updateGeometries() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#34 0x00007fba92264a90 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#35 0x00007fba92262bdb in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#36 0x00007fbb30307972 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#37 0x00007fbb303e62de in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#38 0x00007fbb30517c4b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#39 0x00007fbb30555d1c in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#40 0x00007fba92263dab in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#41 0x00007fbb2f54bacc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#42 0x00007fbb302c6445 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.
#43 0x00007fbb302cdd34 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#44 0x00007fbb30f7f665 in QgsApplication::notify (this=0x7ffcced8b430, receiver=0x56273b394a50, event=0x7ffcced89810) at

../../src/core/qgsapplication.cpp:314

        done = true

FUNCTION = "notify" 

#45 0x00007fbb2f54bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#46 0x00007fbb302ffecb in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#47 0x00007fbb30303ca3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#48 0x00007fbb3030696b in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#49 0x00007fbb30303c10 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#50 0x00007fbb30303cbf in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#51 0x00007fbb30303bbe in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#52 0x00007fbb30303cbf in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#53 0x00007fbb30303bbe in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#54 0x00007fbb30303cbf in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#55 0x00007fbb3030696b in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#56 0x00007fba92101ecb in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#57 0x00007fba92066172 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#58 0x00007fba9934453d in _PyCFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#59 0x00007fba993d2e9f in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#60 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#61 0x00007fba993db7b7 in _PyFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#62 0x00007fba992da2ce in _PyObject_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#63 0x00007fba992da3cc in _PyObject_Call_Prepend () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#64 0x00007fba992da098 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

No symbol table info available.

#65 0x00007fba98a1ddac in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#66 0x00007fba98a1e110 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#67 0x00007fba98a18030 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

No symbol table info available.

#68 0x00007fba98a18997 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so
No symbol table info available.

#69 0x00007fbb2f57a9a9 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#70 0x00007fbb302bfd82 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#71 0x00007fbb302c246c in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#72 0x00007fbb3041ae1c in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#73 0x00007fbb3042218b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#74 0x00007fbb30422fd3 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#75 0x00007fbb30306dc8 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#76 0x00007fbb304251f3 in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#77 0x00007fbb302c646c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#78 0x00007fbb302ce28f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#79 0x00007fbb30f7f665 in QgsApplication::notify (this=0x7ffcced8b430, receiver=0x562737462b40, event=0x7ffcced8a900) at

../../src/core/qgsapplication.cpp:314

        done = true

FUNCTION = "notify" 

#80 0x00007fbb2f54bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#81 0x00007fbb302cd262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#82 0x00007fbb30321685 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#83 0x00007fbb30323fba in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#84 0x00007fbb302c646c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#85 0x00007fbb302cdd34 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#86 0x00007fbb30f7f665 in QgsApplication::notify (this=0x7ffcced8b430, receiver=0x7fbb0000edd0, event=0x7ffcced8ad70) at

../../src/core/qgsapplication.cpp:314

        done = true

FUNCTION = "notify" 

#87 0x00007fbb2f54bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#88 0x00007fbb2fb0af43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#89 0x00007fbb2fb0ca25 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#90 0x00007fbb2fae4cab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.
#91 0x00007fbb090545a0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

No symbol table info available.

#92 0x00007fbb24365fb7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#93 0x00007fbb243661f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#94 0x00007fbb2436627c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#95 0x00007fbb2f5a447f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#96 0x00007fbb2f549e3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#97 0x00007fbb2f552da4 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#98 0x00005627364c0b93 in main (argc=1, argv=0x7ffcced8b828) at ../../src/app/main.cpp:1359

        profile = 0x5627374243b0

        presetStyle = {static null = {<No data fields>}, d = 0x5627374a9d70}

        rootProfileFolder = {static null = {<No data fields>}, d = 0x562737427140}

        myLocaleOverrideFlag = false

        qgistor = <incomplete type>

        w = 600

        mySplashPath = {static null = {<No data fields>}, d = 0x7fbb316b0040 <QgsApplication::splashPath()::{lambda()#1}::operator()()

const::qstring_literal>}

        h = 300

        mypSplash = 0x562737615820

        qgis = 0x56273772c1b0

        retval = 2

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fbb2f9fba00 <QObject::staticMetaObject>, stringdata =

0x7fbb317a4c00 <qt_meta_stringdata_QgsUserProfileManager>, data = 0x7fbb317a4c80 <qt_meta_data_QgsUserProfileManager>, static_metacall =

0x7fbb3164bdbe <QgsUserProfileManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}},

mWatchProfiles = false, mWatcher = std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static null = {<No data fields>}, d =

0x562737427140}, mUserProfile = std::unique_ptr<QgsUserProfile> containing 0x0, mSettings = std::unique_ptr<QSettings> containing

0x5627373edf50}

        profileFolder = {static null = {<No data fields>}, d = 0x562737421df0}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fbb2f9fba00 <QObject::staticMetaObject>, stringdata

= 0x7fbb31795e80 <qt_meta_stringdata_QgsSettings>, data = 0x7fbb31795ec0 <qt_meta_data_QgsSettings>, static_metacall = 0x7fbb31636794

<QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath =

{static null = {<No data fields>}, d = 0x5627374c41d0}, mUserSettings = 0x5627374f4970, mGlobalSettings = 0x5627374fa160, mUsingGlobalArray =

false}

        systemEnvVars = {d = 0x5627374c6130}

        activeStyleName = {static null = {<No data fields>}, d = 0x5627374a9d70}

        i18nPath = {static null = {<No data fields>}, d = 0x5627375931c0}

        myUserLocale = {static null = {<No data fields>}, d = 0x5627375ec3b0}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fbb30987020 <QApplication::staticMetaObject>,

stringdata = 0x7fbb31783b60 <qt_meta_stringdata_QgsApplication>, data = 0x7fbb31783cc0 <qt_meta_data_QgsApplication>, static_metacall =

0x7fbb3161c1a6 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static

QGIS_ORGANIZATION_NAME = 0x7fbb316af668 "QGIS", static QGIS_ORGANIZATION_DOMAIN = 0x7fbb316af66d "qgis.org", static

QGIS_APPLICATION_NAME = 0x7fbb316af676 "QGIS3", static mFileOpenEventReceiver29900 = 0x56273772c1b0, static mFileOpenEventList29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::

_atomic_base<int>> = {static S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7fbb2f63ba00

<QListData::shared_null>}, d = 0x7fbb2f63ba00 <QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No data
fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already seen type>, d

= 0x5627374c9ca0}, static mPluginPath29900 = {static null = <same as static member of an already seen type>, d = 0x5627374d2320}, static

mPkgDataPath29900 = {static null = <same as static member of an already seen type>, d = 0x5627374c06f0}, static mLibraryPath29900 = {static null =

<same as static member of an already seen type>, d = 0x5627374c0240}, static mLibexecPath29900 = {static null = <same as static member of an

already seen type>, d = 0x5627374c9510}, static mThemeName29900 = {static null = <same as static member of an already seen type>, d =

0x7fbb316afbe0 <QgsApplication::setUITheme(QString const&)::{lambda()#2}::operator()() const::qstring_literal>}, static mDefaultSvgPaths29900 =

{<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::

_atomic_base<int>> = {static S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x5627374c9300}, d =

0x5627374c9300}}, <No data fields>}, static mSystemEnvVars29900 = {d = 0x5627374c6130}, static mConfigPath29900 = {static null = {<No data

fields>}, d = 0x5627374c9700}, static mRunningFromBuildDir29900 = false, static mBuildSourcePath29900 = {static null = <same as static member of

an already seen type>, d = 0x7fbb2f639400 <QArrayData::shared_null>}, static mBuildOutputPath29900 = {static null = <same as static member of an

already seen type>, d = 0x7fbb2f639400 <QArrayData::shared_null>}, static mGdalSkipList29900 = {<QList<QString>> =

{<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::_atomic_base<int>> = {static 

S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7fbb2f63ba00 <QListData::shared_null>}, d =

0x7fbb2f63ba00 <QListData::shared_null>}}, <No data fields>}, static mMaxThreads29900 = -1, static mAuthDbDirPath29900 = {static null = {<No data

fields>}, d = 0x5627374c9700}, static sUserName = {static null = <same as static member of an already seen type>, d = 0x562737c9b960}, static

sUserFullName = {static null = <same as static member of an already seen type>, d = 0x562737c9afc0}, static sPlatformName = {static null = <same as

static member of an already seen type>, d = 0x562737426fe0}, mIconCache = {d = 0x5627374c8160}, mDataItemProviderRegistry = 0x5627385d4650,

mAuthManager = 0x562737ab5d90, mApplicationMembers = 0x5627374578c0, static sApplicationMembers = 0x0}

        customizationsettings = 0x5627374d3f70

        useCustomVars = false

        myPixmap = <incomplete type>

FUNCTION = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x562737427300}

        profileName = {static null = {<No data fields>}, d = 0x562737427a30}

        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySettingsMigrationForce = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology

        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x5627364c8f60 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfPreset = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x5627364c8fa0 <main::{lambda()#2}::operator()() const::qstring_literal>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x56273766f200}

        configpath = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        customizationfile = {static null = {<No data fields>}, d = 0x7fbb2f639400 <QArrayData::shared_null>}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x5627374c41d0}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::

_atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x5627373eedb0}, d =

0x5627373eedb0}}, <No data fields>}

        myUseGuiFlag = true

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fbb2f9fba00 <QObject::staticMetaObject>, stringdata =

0x7fbb31795e80 <qt_meta_stringdata_QgsSettings>, data = 0x7fbb31795ec0 <qt_meta_data_QgsSettings>, static_metacall = 0x7fbb31636794
<QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath =

{static null = {<No data fields>}, d = 0x5627374c41d0}, mUserSettings = 0x5627373ee630, mGlobalSettings = 0x0, mUsingGlobalArray = false}

(gdb) info registers

rax            0x0    0

rbx            0x5627364c9f28    94726414704424

rcx            0xffffffff    4294967295

rdx            0x56273ab3f850    94726488586320

rsi            0x0    0

rdi            0x56273ab3f850    94726488586320

rbp            0x7ffcced8b740    0x7ffcced8b740

rsp            0x7ffcced8b180    0x7ffcced8b180

r8             0x5627381e39c0    94726445218240

r9             0x0    0

r10            0xffffffffffffff70    -144

r11            0x7fbb2eaf1e20    140441918840352

r12            0x5627364c9e10    94726414704144

r13            0x1    1

r14            0x0    0

r15            0x0    0

rip            0x5627364c0b93    0x5627364c0b93 <main(int, char**)+21396>

eflags         0x10202    [ IF RF ]

cs             0x33    51

ss             0x2b    43

ds             0x0    0

es             0x0    0

fs             0x0    0

gs             0x0    0

(gdb) x/16i $pc

=> 0x5627364c0b93 <main(int, char**)+21396>:    mov    %eax,-0x560(%rbp)

   0x5627364c0b99 <main(int, char**)+21402>:    cmpq   $0x0,-0x430(%rbp)

   0x5627364c0ba1 <main(int, char**)+21410>:    je     0x5627364c0bc0 <main(int, char**)+21441>

   0x5627364c0ba3 <main(int, char**)+21412>:    mov    -0x430(%rbp),%rax

   0x5627364c0baa <main(int, char**)+21419>:    mov    (%rax),%rax

   0x5627364c0bad <main(int, char**)+21422>:    add    $0x20,%rax

   0x5627364c0bb1 <main(int, char**)+21426>:    mov    (%rax),%rax

   0x5627364c0bb4 <main(int, char**)+21429>:    mov    -0x430(%rbp),%rdx

   0x5627364c0bbb <main(int, char**)+21436>:    mov    %rdx,%rdi

   0x5627364c0bbe <main(int, char**)+21439>:    callq  %rax

   0x5627364c0bc0 <main(int, char*)+21441>:    mov    -0x560(%rbp),%ebx

   0x5627364c0bc6 <main(int, char**)+21447>:    lea    -0x3b0(%rbp),%rax

   0x5627364c0bcd <main(int, char**)+21454>:    mov    %rax,%rdi

   0x5627364c0bd0 <main(int, char**)+21457>:    callq  0x5627364b8010 <_ZN7QPixmapD1Ev@plt>

   0x5627364c0bd5 <main(int, char**)+21462>:    lea    -0x488(%rbp),%rax

   0x5627364c0bdc <main(int, char**)+21469>:    mov    %rax,%rdi

(gdb) thread aplly��[K��[K��[Kply all backtrace

Thread 9 (Thread 0x7fba9a331700 (LWP 5570)):

#0  0x00007fbb2ea4d901 in GI_poll (fds=0x7fba94004e70, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

#1  0x00007fbb24366169 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#2  0x00007fbb2436627c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3  0x00007fbb2f5a447f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#4  0x00007fbb2f549e3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fbb269fcce5 in QCA::SyncThread::run() () from /usr/lib/x86_64-linux-gnu/libqca-qt5.so.2

#6  0x00007fbb2f36e29d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#7  0x00007fbb25bb97fc in start_thread (arg=0x7fba9a331700) at pthread_create.c:465

#8  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fbaae9ab700 (LWP 5568)):

#0  0x00007fbb2ea4d901 in GI_poll (fds=0x7fbaa4002de0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

#1  0x00007fbb24366169 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#2  0x00007fbb2436627c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3  0x00007fbb2f5a447f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#4  0x00007fbb2f549e3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#5  0x00007fbb2f3693ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#6  0x00007fbb2f36e29d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#7  0x00007fbb25bb97fc in start_thread (arg=0x7fbaae9ab700) at pthread_create.c:465

#8  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fbaaf6fa700 (LWP 5567)):

#0  0x00007fbb25bc0072 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fbaeff61d3c) at

../sysdeps/unix/sysv/linux/futex-internal.h:88

#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fbaeff61ce8, cond=0x7fbaeff61d10) at pthread_cond_wait.c:502

#2  __pthread_cond_wait (cond=0x7fbaeff61d10, mutex=0x7fbaeff61ce8) at pthread_cond_wait.c:655

#3  0x00007fbb2a74e1e3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5

#4  0x00007fbb2aa94d21 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5

#5  0x00007fbb25bb97fc in start_thread (arg=0x7fbaaf6fa700) at pthread_create.c:465

#6  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fbaafefb700 (LWP 5566)):

#0  0x00007fbb25bc0072 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fbaeff5925c) at

../sysdeps/unix/sysv/linux/futex-internal.h:88

#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fbaeff59208, cond=0x7fbaeff59230) at pthread_cond_wait.c:502

#2  __pthread_cond_wait (cond=0x7fbaeff59230, mutex=0x7fbaeff59208) at pthread_cond_wait.c:655

#3  0x00007fbb2a74d117 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5

#4  0x00007fbb2aa94d21 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5

#5  0x00007fbb25bb97fc in start_thread (arg=0x7fbaafefb700) at pthread_create.c:465

#6  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fbaf48cd700 (LWP 5565)):

#0  0x00007fbb25bc0072 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7fbb2b4ce540) at

../sysdeps/unix/sysv/linux/futex-internal.h:88

#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7fbb2b4ce4f0, cond=0x7fbb2b4ce518) at pthread_cond_wait.c:502

#2  __pthread_cond_wait (cond=0x7fbb2b4ce518, mutex=0x7fbb2b4ce4f0) at pthread_cond_wait.c:655

#3  0x00007fbb2aa5e6b4 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5

#4  0x00007fbb2aa5e6d9 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5

#5  0x00007fbb25bb97fc in start_thread (arg=0x7fbaf48cd700) at pthread_create.c:465

#6  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fbaf6101700 (LWP 5563)):

#0  0x00007fbb2ea4d901 in GI_poll (fds=0x7fbaf00029e0, nfds=1, timeout=10025) at ../sysdeps/unix/sysv/linux/poll.c:29

#1  0x00007fbb24366169 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#2  0x00007fbb2436627c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3  0x00007fbb2f5a447f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fbb2f549e3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#5  0x00007fbb2f3693ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#6  0x00007fbb2f36e29d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#7  0x00007fbb25bb97fc in start_thread (arg=0x7fbaf6101700) at pthread_create.c:465

#8  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fbafca24700 (LWP 5561)):

#0  0x00007fbb2ea4d901 in GI_poll (fds=0x7fbaf8002de0, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

#1  0x00007fbb24366169 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#2  0x00007fbb2436627c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#3  0x00007fbb2f5a449b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#4  0x00007fbb2f549e3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#5  0x00007fbb2f3693ca in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#6  0x00007fbb17daee45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5

#7  0x00007fbb2f36e29d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#8  0x00007fbb25bb97fc in start_thread (arg=0x7fbafca24700) at pthread_create.c:465

#9  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fbb06ad7700 (LWP 5560)):

#0  0x00007fbb2ea4d901 in GI_poll (fds=0x7fbb06ad6178, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

#1  0x00007fbb16500747 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1

#2  0x00007fbb1650253a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1

#3  0x00007fbb08ff1f09 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

#4  0x00007fbb2f36e29d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#5  0x00007fbb25bb97fc in start_thread (arg=0x7fbb06ad7700) at pthread_create.c:465

#6  0x00007fbb2ea59b0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fbb32d33340 (LWP 5557)):

#0  0x00007fbb2cb5a07a in QgsBrowserDockWidget::refreshModel (this=0x5627381ffd70, index=...) at ../../src/gui/qgsbrowserdockwidget.cpp:298

#1  0x00007fbb2cb59e70 in QgsBrowserDockWidget::refresh (this=0x5627381ffd70) at ../../src/gui/qgsbrowserdockwidget.cpp:275

#2  0x00007fbb31f23b76 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, void (QgsBrowserDockWidget::*)()>::call(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const))

0x7fbb2cb59e26 <QgsBrowserDockWidget::refresh()>, o=0x5627381ffd70, arg=0x7ffcced88160) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:136

#3  0x00007fbb31f1ddca in QtPrivate::FunctionPointer<void (QgsBrowserDockWidget::*)()>::call<QtPrivate::List<>, void>(void

(QgsBrowserDockWidget::*)(), QgsBrowserDockWidget*, void**) (f=(void (QgsBrowserDockWidget::*)(QgsBrowserDockWidget * const))

0x7fbb2cb59e26 <QgsBrowserDockWidget::refresh()>, o=0x5627381ffd70, arg=0x7ffcced88160) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:169

#4  0x00007fbb31f1329f in QtPrivate::QSlotObject<void (QgsBrowserDockWidget::*)(), QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*,

QObject*, void**, bool*) (which=1, this_=0x56273825cf40, r=0x5627381ffd70, a=0x7ffcced88160, ret=0x0) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qobject_impl.h:120

#5  0x00007fbb2f57a9ff in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#6  0x00007fbb324b7dd9 in QgisApp::connectionsChanged (this=0x56273772c1b0) at src/app/moc_qgisapp.cpp:1942

#7  0x00007fbb31e9bee8 in QgisApp::reloadConnections (this=0x56273772c1b0) at ../../src/app/qgisapp.cpp:9924

#8  0x00007fbb31f2b6fa in QgisAppInterface::reloadConnections (this=0x56273841ddf0) at ../../src/app/qgisappinterface.cpp:176

#9  0x00007fbb2ce2183c in QgisInterface::qt_static_metacall (_o=0x56273841ddf0, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0x7ffcced88420)

at src/gui/moc_qgisinterface.cpp:472

#10 0x00007fbb2f57a8e5 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#11 0x00007fbb2f4e6ffc in QAbstractItemModel::dataChanged(QModelIndex const&, QModelIndex const&, QVector<int> const&) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#12 0x00007fba989432f0 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#13 0x00007fba98a1d6c1 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so
#14 0x00007fba9934453d in _PyCFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#15 0x00007fba993d2e9f in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#16 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#17 0x00007fba993d2a9a in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#18 0x00007fba993d2d32 in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#19 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#20 0x00007fba993d2a9a in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#21 0x00007fba993d2d32 in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#22 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#23 0x00007fba993db7b7 in _PyFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#24 0x00007fba992da2ce in _PyObject_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#25 0x00007fba992da3cc in _PyObject_Call_Prepend () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#26 0x00007fba992da098 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#27 0x00007fba98d0c4c4 in ?? () from /usr/lib/python3/dist-packages/sip.cpython-36m-x86_64-linux-gnu.so

#28 0x00007fba98982b42 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#29 0x00007fba9893c750 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#30 0x00007fbb3054d5bc in QTreeViewPrivate::layout(int, bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#31 0x00007fbb305554be in QTreeView::doItemsLayout() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#32 0x00007fbb3054fcc5 in QTreeViewPrivate::updateScrollBars() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#33 0x00007fbb30557008 in QTreeView::updateGeometries() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#34 0x00007fba92264a90 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

#35 0x00007fba92262bdb in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

#36 0x00007fbb30307972 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#37 0x00007fbb303e62de in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#38 0x00007fbb30517c4b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#39 0x00007fbb30555d1c in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#40 0x00007fba92263dab in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

#41 0x00007fbb2f54bacc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#42 0x00007fbb302c6445 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#43 0x00007fbb302cdd34 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#44 0x00007fbb30f7f665 in QgsApplication::notify (this=0x7ffcced8b430, receiver=0x56273b394a50, event=0x7ffcced89810) at

../../src/core/qgsapplication.cpp:314

#45 0x00007fbb2f54bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#46 0x00007fbb302ffecb in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#47 0x00007fbb30303ca3 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#48 0x00007fbb3030696b in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#49 0x00007fbb30303c10 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#50 0x00007fbb30303cbf in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#51 0x00007fbb30303bbe in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#52 0x00007fbb30303cbf in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#53 0x00007fbb30303bbe in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#54 0x00007fbb30303cbf in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#55 0x00007fbb3030696b in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#56 0x00007fba92101ecb in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

#57 0x00007fba92066172 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-36m-x86_64-linux-gnu.so

#58 0x00007fba9934453d in _PyCFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#59 0x00007fba993d2e9f in ?? () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#60 0x00007fba993d7f41 in _PyEval_EvalFrameDefault () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#61 0x00007fba993db7b7 in _PyFunction_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#62 0x00007fba992da2ce in _PyObject_FastCallDict () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#63 0x00007fba992da3cc in _PyObject_Call_Prepend () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0

#64 0x00007fba992da098 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython3.6m.so.1.0
#65 0x00007fba98a1ddac in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#66 0x00007fba98a1e110 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#67 0x00007fba98a18030 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#68 0x00007fba98a18997 in ?? () from /usr/lib/python3/dist-packages/PyQt5/QtCore.cpython-36m-x86_64-linux-gnu.so

#69 0x00007fbb2f57a9a9 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#70 0x00007fbb302bfd82 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#71 0x00007fbb302c246c in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#72 0x00007fbb3041ae1c in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#73 0x00007fbb3042218b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#74 0x00007fbb30422fd3 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#75 0x00007fbb30306dc8 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#76 0x00007fbb304251f3 in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#77 0x00007fbb302c646c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#78 0x00007fbb302ce28f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#79 0x00007fbb30f7f665 in QgsApplication::notify (this=0x7ffcced8b430, receiver=0x562737462b40, event=0x7ffcced8a900) at

../../src/core/qgsapplication.cpp:314

#80 0x00007fbb2f54bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#81 0x00007fbb302cd262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#82 0x00007fbb30321685 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#83 0x00007fbb30323fba in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#84 0x00007fbb302c646c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#85 0x00007fbb302cdd34 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#86 0x00007fbb30f7f665 in QgsApplication::notify (this=0x7ffcced8b430, receiver=0x7fbb0000edd0, event=0x7ffcced8ad70) at

../../src/core/qgsapplication.cpp:314

#87 0x00007fbb2f54bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#88 0x00007fbb2fb0af43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#89 0x00007fbb2fb0ca25 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#90 0x00007fbb2fae4cab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#91 0x00007fbb090545a0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

#92 0x00007fbb24365fb7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#93 0x00007fbb243661f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#94 0x00007fbb2436627c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#95 0x00007fbb2f5a447f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#96 0x00007fbb2f549e3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#97 0x00007fbb2f552da4 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#98 0x00005627364c0b93 in main (argc=1, argv=0x7ffcced8b828) at ../../src/app/main.cpp:1359

#5 - 2017-11-03 08:24 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|71eeda7b454ee1b83a9c63d96b2332ae5dde0ac4.
